<template>
  <div>
    <li class="badges">
      <div class="preferChoice">
        筛选设置：
        <a-badge color="#ff3434" text="已预约"/>&emsp;
        <a-switch default-checked @change="onChangeFilterParams('reserved', $event)"></a-switch>
        <a-badge color="#2aa8ec" text="已订阅"/>&emsp;
        <a-switch default-checked @change="onChangeFilterParams('subscribed', $event)"></a-switch>
        <a-badge color="#993399" text="推荐赛事"/>&emsp;
        <a-switch default-checked @change="onChangeFilterParams('recommended', $event)"></a-switch>
        <a-badge color="#517E55" text="其他可用赛事"/>&emsp;
        <a-switch default-checked @change="onChangeFilterParams('other', $event)"></a-switch>
      </div>
    </li>
    <li style="display: flex">
      <div class="lengthChoice">
        比赛时长：
        <a-select default-value="all" style="width: 120px" @change="onChangeFilterParams('duration', $event)">
          <a-select-option value="all">所有</a-select-option>
          <a-select-option value="1">小于1小时</a-select-option>
          <a-select-option value="2">小于3小时</a-select-option>
          <a-select-option value="3">小于8小时</a-select-option>
          <a-select-option value="4">小于24小时</a-select-option>
          <a-select-option value="5">大于24小时</a-select-option>
        </a-select>
      </div>
      <div class="lengthChoice">
        比赛难度：
        <a-select default-value="all" style="width: 120px" @change="onChangeFilterParams('level', $event)">
          <a-select-option value="all">所有</a-select-option>
          <a-select-option :value="1">简单</a-select-option>
          <a-select-option :value="2">中等</a-select-option>
          <a-select-option :value="3">困难</a-select-option>
        </a-select>
      </div>
    </li>
  </div>
</template>

<script>
export default {
  methods: {
    onChangeFilterParams(index, val) {
        let data = {index: index, val: val}
        this.$emit('filterSettingsChange', data)
    }
  },
};
</script>

<style lang="less" scoped>

li {
  margin: 5px;
}

.badges {
  margin-bottom: 20px;

  .preferChoice {
    display: flex;
    align-items: center;

    /deep/ .ant-switch {
      margin-right: 20px;

      &.ant-switch-checked {
        &:nth-child(2) {
          background-color: #ff3434;
        }

        &:nth-child(4) {
          background-color: #2aa8ec;
        }

        &:nth-child(6) {
          background-color: #993399;
        }

        &:nth-child(8) {
          background-color: #517E55;
        }
      }
    }
  }
}

.lengthChoice {
  margin-right: 20px;
}

li::marker {
  content: '';
}

</style>